package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.PersonRoleInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface PersonRoleInfoDAO {
	int insert(PersonRoleInfo entity);
	int update(PersonRoleInfo entity);
	int exist(String id);
	PersonRoleInfo get(String id);
	int delete(String id);
	List<PersonRoleInfo> list();
	List<PersonRoleInfo> findParentId(String parentId);
	List<PersonRoleInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<PersonRoleInfo> findBySceneId(String sceneId);
	PersonRoleInfo findByRoleNameAndSceneId(String roleName,String sceneId);
    List<PersonRoleInfo> findAll();
}